Bug 977923 - Rfe: View several queues in a single chart / table
Rfe: View several queues in a single chart / table
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 11:14 EDT by Michael Burman
Modified: 2013-07-01 06:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Photoshopped screenshot of proposal (242.17 KB, image/png)
2013-07-01 06:29 EDT, Michael Burman
no flags Details

  None (edit)
Description Michael Burman 2013-06-25 11:14:53 EDT
Description of problem:

Monitoring several queues (for example for HornetQ) is next to impossible, as one has to click through all the queues separately, instead of being able to list all of their status (and metrics) in a single window. Same applies to charting several of them to a single chart.

Feature enhancement would be to see in the category above a summary of all queues (and why not apply to some other components also, but this is especially a problem with queues), such as the amount of messages queued, amount of messages being processed, delta of changes since last update, and status of the queue.

Version-Release number of selected component (if applicable): Any.
Comment 1 Heiko W. Rupp 2013-06-29 11:05:18 EDT
Could that be solved by a group that contains the interesting entities - perhaps generated by a DynaGroup expression?

If you e.g. go to HornetQ->default->JMS Queues you can click on JMS Queues to form a so called AutoGroup, that has a monitoring tab that shows the aggregates etc.


I can see though that if the interesting resources are below the autogroup node, this does not work out of the box.
Comment 2 Michael Burman 2013-07-01 06:28:27 EDT
Here's a small paint-editing example: https://skydrive.live.com/redir?resid=73950695EB898688!1399&authkey=!APwiy5-cJokUvIs

From IRC:

"
<pilhuhn> So basically on the monitoring tab of the group, you can go to the "metrics" aka tables view and see all the metrics and number of
          reporters. And then either a) click the interesting metrics and click on "show details" to get a table that show the individual resources
          along with the selected metrics  or b) have another tab below "monitoring", where all the resources show and the columns (=metrics) are
          selected with the column selector ?
"

My take on this is to use the b) option, as it would allow comparing the groups different resources on several metrics at the same time. For example, to monitor queues, we could see how many queues have messages and for example, what's been the delta from last update (if no messages are getting out, processing is most likely stuck). Adding this data to a graph would allow easier visual monitoring also (all message counts to a single graph).
Comment 3 Michael Burman 2013-07-01 06:29:26 EDT
Created attachment 767317 [details]
Photoshopped screenshot of proposal

Note You need to log in before you can comment on or make changes to this bug.